Zandronum Chat @ irc.zandronum.com
#zandronum
Get the latest version: 2.1.2
Source Code

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0003004Zandronum[All Projects] Bugpublic2017-02-06 12:342017-02-19 20:06
ReporterCutman 
Assigned ToTorr Samaho 
PriorityurgentSeveritymajorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version3.0-beta 
Target Version3.0Fixed in Version3.0 
Summary0003004: Skins do not work online (3.0-alpha-170205-2117)
DescriptionPlayer Skins (no matter how they are loaded) do not function at all online in this build. The client appears to be using a skin but it won't be visible to others.
Steps To Reproduce1. Boot up a server.
2. Join with a second player/client.
3. Pick a player skin that both clients own and check both clients.
Attached Files

- Relationships

-  Notes
User avatar (0016778)
WaTaKiD (updater)
2017-02-06 13:29
edited on: 2017-02-06 13:45

can confirm the issue, and it was introduced somewhere after changeset c9e3038

edit: ive found this commit to be the culprit: https://bitbucket.org/Torr_Samaho/zandronum/commits/a8335806821b23c1d8565211a6e622d5b59918d2 [^]

User avatar (0016794)
Torr Samaho (administrator)
2017-02-06 20:02

Dusk, can you look into this? I had a brief look and noticed in clientcommands_WriteCVarToUserinfo for the cvar skin "cvar->GetGenericRep( CVAR_String ).String" is actually "0" instead of "base".

Looks like ZDoom is not treating all USERINFO variables equally. There are also some hints on this in userinfo_t::Reset(): There is the following block, which suggests that not only the skin is affefted:

            // Some cvars have different types for their shadow copies.
            switch (cvarname.GetIndex())
            {
            case NAME_Skin: type = CVAR_Int; break;
            case NAME_Gender: type = CVAR_Int; break;
            case NAME_PlayerClass: type = CVAR_Int; break;
            default: type = cvar->GetRealType(); break;
User avatar (0016843)
Torr Samaho (administrator)
2017-02-12 14:07

I'll have a closer look at this.
User avatar (0016844)
Torr Samaho (administrator)
2017-02-12 14:19

Should be fixed now.
User avatar (0016874)
WaTaKiD (updater)
2017-02-17 19:09

https://www.dropbox.com/s/836ig8yxagju9e8/zandronum-3.0-r170212-1419-beba217-windows.zip?dl=0 [^] contains the following fix: https://bitbucket.org/Torr_Samaho/zandronum/commits/beba217547eade226f51b8a5da5bc229ffab46b6 [^]

after some quick tests with several clients, cl_skins 1, and disconnecting/reconnecting before and after changing skins, it seems to be working fine now

Issue Community Support
This issue is already marked as resolved.
If you feel that is not the case, please reopen it and explain why.
Supporters: No one explicitly supports this issue yet.
Opponents: No one explicitly opposes this issue yet.

- Issue History
Date Modified Username Field Change
2017-02-06 12:34 Cutman New Issue
2017-02-06 13:29 WaTaKiD Note Added: 0016778
2017-02-06 13:45 WaTaKiD Note Edited: 0016778 View Revisions
2017-02-06 20:02 Torr Samaho Note Added: 0016794
2017-02-06 20:02 Torr Samaho Assigned To => Dusk
2017-02-06 20:02 Torr Samaho Status new => assigned
2017-02-12 14:07 Torr Samaho Assigned To Dusk => Torr Samaho
2017-02-12 14:07 Torr Samaho Note Added: 0016843
2017-02-12 14:19 Torr Samaho Note Added: 0016844
2017-02-12 14:19 Torr Samaho Status assigned => needs testing
2017-02-17 19:09 WaTaKiD Note Added: 0016874
2017-02-19 20:06 Ru5tK1ng Status needs testing => resolved
2017-02-19 20:06 Ru5tK1ng Resolution open => fixed
2017-02-19 20:06 Ru5tK1ng Fixed in Version => 3.0
2017-02-19 20:06 Ru5tK1ng Target Version => 3.0






Questions or other issues? Contact Us.

Links


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker